Subject: Re: bug#25160: 26.0.50; SIGSEGV when reading undo-tree file

From: Eli Zaretskii <[email-masked]>
Date: Mon, 12 Dec 2016 18:11:03 +0200

> From: Pedro Silva <[email-masked]>
> Cc: [email-masked]
> Date: Mon, 12 Dec 2016 09:06:56 +0100
> 
> git-bisect tells me that this commit
> 
>     commit 07efb140348b4a4015c69ed102a5fa216978506f
>     Author: Tom Tromey <[email-masked]>
>     Date:   Tue Aug 27 12:54:38 2013 -0600
> 
>         remove binding_symbol
> 
> is the culprit. However, after inspecting it, I confess I am not sure
> how. Most likely, I tagged something as bad or good where I shouldn't
> have. As the bisecting got me further away from HEAD and into a fairly
> deep branch, building cleanly got more and more difficult, and I
> couldn't actually replicate the crash anymore.
> 
> I will try to replicate this more thoroughly next weekend. I'll need to
> come up with a robust way to build so that I can actually automate the
> bisecting with `run'.

If it's clear that this is caused by the concurrency merge (which you
could verify by building a tree before commit 2412a1f), then you don't
need to look into the branch that got merged by that commit.

Thank you for your efforts.